/* ============================================================================= */
/* Mobile (< 767px) */
/* ============================================================================= */

/* --------------- Typography --------------- */
.banner-wrapper .banner-content-wrapper > h4 {
    font-size: var(--font-h4-size);
    font-weight: var(--font-h4-weight);
    line-height: var(--font-h4-line-height);
    letter-spacing: var(--font-h4-letter-spacing);
}

.intro-message-wrapper .intro-message-content-wrapper > h2 {
    font-size: var(--font-title2-size);
    font-weight: var(--font-title2-weight);
    line-height: var(--font-title2-line-height);
    letter-spacing: var(--font-title2-letter-spacing);
}

.youtube-wrapper > h3,
.curriculum-wrapper > h3,
.curriculum-overview-wrapper > h3,
.cta-wrapper h3,
.directions-wrapper h3 {
    font-size: var(--font-title3-size);
    font-weight: var(--font-title3-weight);
    line-height: var(--font-title3-line-height);
    letter-spacing: var(--font-title3-letter-spacing);
}

.curriculum-wrapper .curriculum-content-wrapper h4,
.directions-wrapper .directions-content-wrapper h4 {
    font-size: var(--font-title4-size);
    font-weight: var(--font-title4-weight);
    line-height: var(--font-title4-line-height);
    letter-spacing: var(--font-title4-letter-spacing);
}

.banner-wrapper .swiper-control .swiper-pagination {
    font-size: var(--font-title5-size);
    font-weight: var(--font-title5-weight);
    line-height: var(--font-title5-line-height);
    letter-spacing: var(--font-title5-letter-spacing);
}

.apply-btn,
.check-btn {
    font-size: var(--font-title5-size);
    font-weight: var(--font-title5-weight);
    line-height: var(--font-title5-line-height);
    letter-spacing: var(--font-title5-letter-spacing);
}

.intro-message-wrapper .intro-message-content-wrapper .intro-message-text-wrapper > p {
    font-size: var(--font-subtitle3-size);
    font-weight: var(--font-subtitle3-weight);
    line-height: var(--font-subtitle3-line-height);
    letter-spacing: var(--font-subtitle3-letter-spacing);
}

.banner-wrapper .swiper-control .swiper-pagination,
.curriculum-wrapper .curriculum-content-wrapper .curriculum-item-wrapper .curriculum-item-content p,
.curriculum-overview-wrapper .curriculum-overview-content-wrapper th,
.curriculum-overview-wrapper .curriculum-overview-content-wrapper td,
.directions-wrapper .directions-content-wrapper .directions-info dt,
.directions-wrapper .directions-content-wrapper .directions-info dd {
    font-size: var(--font-subtitle4-size);
    font-weight: var(--font-subtitle4-weight);
    line-height: var(--font-subtitle4-line-height);
    letter-spacing: var(--font-subtitle4-letter-spacing);
}

/* white */
.banner-wrapper .banner-content-wrapper h4,
.cta-wrapper h3 {
    color: var(--color-white);
}

/* gray */
.curriculum-overview-wrapper .curriculum-overview-content-wrapper th,
.directions-wrapper .directions-content-wrapper .directions-info dt {
    color: var(--color-text-gray);
}

/* --------------- Common --------------- */
.grid-container > div:not(:last-child) {
    margin-bottom: 60px;
}

.grid-container > div:first-child {
    margin-bottom: 32px;
}

.apply-btn,
.check-btn {
    gap: 4px;
}

.cta-line.apply-btn,
.cta-line.check-btn {
    border-color: var(--color-white);
    color: var(--color-white);
}

.cta-line.apply-btn:focus,
.cta-line.check-btn:focus {
    border-color: transparent;
}

.cta-line.apply-btn:hover,
.cta-line.check-btn:hover {
    border-color: transparent;
}

.grid-container > div > h3 {
    margin-bottom: 24px;
}


/* --------------- Banner --------------- */
.banner-wrapper {
    position: relative;
    /* width: 100vw; */
    /* left: 50%; */
    /* transform: translateX(-50%); */
    height: 320px;

    display: flex;
    align-items: center;
    margin-bottom: 32px;
}
 
.banner-wrapper .banner-content-wrapper {
    width: 100%; /* 너비를 100%로 설정하여 내부 요소들이 중앙 정렬되도록 함 */
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    
    text-align: center;
    z-index: 2;
}

.banner-wrapper .banner-content-wrapper img {
    width: 130px;
}

.banner-wrapper .banner-content-wrapper .banner-btn-wrapper {
    display: flex;
    justify-content: center;
    gap: 12px;
}

.apply-btn,
.check-btn {
    width: 9.5em;
    padding: 12px;
}
 
/* ---- Banner > swiper ---- */
.banner-wrapper .swiper {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
}

.banner-wrapper .swiper-pagination,
.banner-wrapper .swiper-button-prev,
.banner-wrapper .swiper-button-next {
    z-index: 3;
}

/* swiper 이미지 */
.banner-wrapper .swiper-wrapper {
    pointer-events: none; /* 드래그로 이미지 변경 막음 */
}
 
.banner-wrapper .swiper-slide {
    position: relative; /* ::after 가상 요소를 위한 기준점 */
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.banner-wrapper .swiper-slide::after {
    content: '';
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.3); /* 검은색, 30% 투명도 */
    z-index: 1; /* 텍스트보다 아래에 위치 */
}

/* swiper nav */
.banner-wrapper .swiper-control .swiper-button-prev,
.banner-wrapper .swiper-control .swiper-button-next {
    width: 40px;
    height: 40px;
    background-color: #22222280;
}

.banner-wrapper .swiper-control .swiper-button-prev {
    left: 0;
}

.banner-wrapper .swiper-control .swiper-button-next {
    right: 0;
}

.banner-wrapper .swiper-control .swiper-navigation-icon {
    width: 16px;
    height: 16px;
    color: var(--color-white);
    transform: none;
    background-color: currentColor;
}

.banner-wrapper .swiper-control .swiper-button-prev .swiper-navigation-icon {
    mask-image: url('/images/components/ic_chevron_left-8a62fcdb9f8684fcb29afa3b7a55d894.svg');
    mask-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-image: url('/images/components/ic_chevron_left-8a62fcdb9f8684fcb29afa3b7a55d894.svg');
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
}

.banner-wrapper .swiper-control .swiper-button-next .swiper-navigation-icon {
    mask-image: url('/images/components/ic_chevron_right-3d942710a5a22a5a3bf7e46a4ac9ab49.svg');
    mask-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-image: url('/images/components/ic_chevron_right-3d942710a5a22a5a3bf7e46a4ac9ab49.svg');
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
}

/* swiper pagination */
.banner-wrapper .swiper-control {
    z-index: 3;
}

.banner-wrapper .swiper-control .swiper-pagination {
    left: 50%;
    transform: translateX(-50%);
    bottom: 20px;
    display: inline-block;
    background-color: #22222280;
    width: auto;
    min-width: 55px;
    padding: 0.25rem 0.65rem;
    color: var(--color-white);
    border-radius: 8px;
    white-space: nowrap;
}

/* --------------- Intro --------------- */
.intro-message-wrapper {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.intro-message-wrapper > img {
    max-width: 400px;
    border-radius: 12px;
}

.intro-message-wrapper .intro-message-content-wrapper .intro-message-title {
    margin-bottom: 12px;
}

/* --------------- Youtube --------------- */
.youtube-wrapper {
    padding: 2rem 0;
}
.youtube-video-container {
    aspect-ratio: 16 / 9;
    width: 100%;
    overflow: hidden;
}
.youtube-video-container iframe {
    width: 100%;
    height: 100%;
}

/* --------------- Curriculum --------------- */
.curriculum-content-wrapper {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.curriculum-day {
    display: flex;
    gap: 8px; /* 점 & 우측 요소 사이 거리 */
}

/* ---- 점 & 선 (좌측) ---- */
.curriculum-timeline {
    position: relative;
    flex-shrink: 0;
    width: 8px; /* 점(dot)의 너비 */
}

/* 점(dot) 스타일 */
.curriculum-timeline::before {
    content: '';
    position: absolute;
    top: 0.5em; /* 텍스트 높이 중간 */
    left: 0;
    width: 8px;
    height: 8px;
    background-color: var(--color-primary);
    border-radius: 50%;
    z-index: 1;
}

/* 선(line) 스타일 */
.curriculum-day:not(:last-child) .curriculum-timeline::after {
    content: '';
    position: absolute;
    top: 0.5em;
    left: 3px;
    width: 2px;
    height: calc(100% + 32px);
    background-color: var(--color-primary);
}

/* ---- 이미지 및 텍스트 (우측) ---- */
.curriculum-day-content .curriculum-title {
    margin-bottom: 12px;
}

.curriculum-day-content > .curriculum-item-wrapper {
    display: grid;
    grid-template-columns: 1fr; /* 1 row */
    gap: 8px;
}

.curriculum-item {
    position: relative;
    overflow: hidden; /* 자식 요소가 부모 밖으로 나가지 않도록 */
    border-radius: 12px;
    aspect-ratio: 3 / 2; /* width:height = 3:2 */
}

.curriculum-item img {
    width: 100%;
    height: 100%;

    object-fit: cover;
    transition: transform 0.3s ease;
}

.curriculum-item:hover img {
    transform: scale(1.05); /* 호버 시 이미지 확대 효과 */
}

.curriculum-item::after {
    content: '';
    position: absolute;
    inset: 0; /* top, right, bottom, left: 0 */
    background: linear-gradient(to top, rgba(0, 0, 0, 0.6), transparent);
    z-index: 1;
}

.curriculum-item .curriculum-item-content {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 16px;
    color: var(--color-white);
    z-index: 2;
}

.curriculum-item .curriculum-item-content .curriculum-item-title {
    margin-bottom: 8px;
}

/* --------------- Overview --------------- */
/* .overview-content-pc {
    display: none;
} */

.overview-content-mobile {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.overview-content-mobile .overview-table {
    border-top: 2px solid var(--color-text-gray);
}

.overview-content-mobile .overview-table tbody tr {
    display: flex;
    align-items: center;
    border-bottom: 1px solid var(--color-light-gray);
}

.overview-content-mobile .overview-table th,
.overview-content-mobile .overview-table td {
    padding: 16px;
}

.overview-content-mobile .overview-table th {
    flex: 1 1 40%;
    min-width: 85px;
    max-width: 300px;
    text-align: center;
}

.overview-content-mobile .overview-table td {
    flex: 1 1 60%;
}

/* --------------- Cta --------------- */
.cta-wrapper {
    position: relative;
    /* width: 100vw; */
    /* left: 50%; */
    /* transform: translateX(-50%); */

    display: flex;
    flex-direction: column;
    text-align: center;
    padding: 20px 0;
    background-color: #436A35;
}

.cta-wrapper .cta-btn-wrapper {
    display: flex;
    gap: 12px;
    margin: 0 auto;
}

/* --------------- Directions --------------- */
.directions-content-wrapper .directions-map {
    border-radius: 12px;
    margin-bottom: 24px;
}

.directions-content-wrapper .directions-info-wrapper {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.directions-content-wrapper .directions-info-wrapper .directions-info {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.directions-content-wrapper .directions-info-wrapper .directions-info .directions-info-item {
    display: flex;
}

.directions-content-wrapper .directions-info-wrapper .directions-info .directions-info-item dt {
    flex: 0 0 50px;
}

.directions-content-wrapper .directions-info-wrapper .directions-info .directions-info-item dd {
    flex: 1;
}

.directions-content-wrapper .directions-info-wrapper .directions-info .directions-info-item dt::after {
    content: '|';
    margin-left: 0.75em;
    color: var(--color-light-gray);
}

/* ============================================================================= */
/* Tablet (>= 768px) */
/* ============================================================================= */
@media (min-width: 768px) {
    /* --------------- Typography --------------- */
    .banner-wrapper .banner-content-wrapper > h4 {
        font-size: var(--font-h3-size);
        font-weight: var(--font-h3-weight);
        line-height: var(--font-h3-line-height);
        letter-spacing: var(--font-h3-letter-spacing);
    }
    
    /* --------------- Common --------------- */
    .grid-container > div:not(:last-child) {
        margin-bottom: 80px;
    }

    /* --------------- Banner --------------- */
    .banner-wrapper {
        height: 400px;
    }

    .banner-wrapper .banner-content-wrapper img {
        width: 200px;
    }

    /* --------------- Intro --------------- */
    .intro-message-wrapper {
        flex-direction: row;
        align-items: center;
        gap: 24px;
    }

    .intro-message-wrapper > img {
        width: 350px;
        max-width: inherit;
        object-fit: cover;
        /* aspect-ratio: 3 / 2; */
    }
    
    .intro-message-wrapper > .intro-message-content-wrapper {
        flex: 1;
    }

    /* --------------- Curriculum --------------- */
    .curriculum-wrapper {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .curriculum-wrapper .curriculum-title {
        /* margin-bottom: 60px; */
    }

    .curriculum-wrapper .curriculum-content-wrapper {
        flex-basis: 75%;
    }

    .curriculum-day-content > .curriculum-item-wrapper {
        grid-template-columns: repeat(2, 1fr); /* 태블릿: 2열 */
        gap: 12px;
    }

    .curriculum-item {
        aspect-ratio: 9 / 7; /* width:height = 9:7 */
    }

    /* --------------- Overview --------------- */
    /* .overview-content-mobile {
        display: none;
    } */

    .curriculum-overview-wrapper {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .curriculum-overview-wrapper .curriculum-overview-content-wrapper {
        flex-basis: 75%;
    }

    /* .overview-content-pc {
        display: block;
    } */

    .overview-content-pc .overview-table {
        width: 100%;
        border-top: 2px solid var(--color-text-gray);
    }

    .overview-content-pc .overview-table th,
    .overview-content-pc .overview-table td {
        padding: 16px;
        border-bottom: 1px solid var(--color-light-gray);
    }

    .overview-content-pc .overview-table th {
        text-align: center;
    }

    /* --------------- Cta --------------- */
    .cta-wrapper {
        position: static;
        grid-column: content;

        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: 24px 32px;
        border-radius: 12px;
    }

    .cta-wrapper .cta-title {
        margin-bottom: 0;
        text-align: left;
    }

    .cta-wrapper .cta-btn-wrapper {
        margin: 0;
    }

    /* --------------- Directions --------------- */
    .directions-wrapper {
        display: flex;
        justify-content: space-between;
    }

    .directions-wrapper .directions-content-wrapper {
        flex-basis: 75%;
    }
}


/* ============================================================================= */
/* PC (>= 1280px) */
/* ============================================================================= */
@media (min-width: 1280px) {
    /* --------------- Typography --------------- */
    .banner-wrapper .banner-content-wrapper > h4 {
        font-size: var(--font-h1-size);
        font-weight: var(--font-h1-weight);
        line-height: var(--font-h1-line-height);
        letter-spacing: var(--font-h1-letter-spacing);
    }

    .intro-message-wrapper .intro-message-content-wrapper > h2 {
        font-size: var(--font-h2-size);
        font-weight: var(--font-h2-weight);
        line-height: var(--font-h2-line-height);
        letter-spacing: var(--font-h2-letter-spacing);
    }

    .youtube-wrapper > h3,
    .curriculum-wrapper > h3,
    .curriculum-overview-wrapper > h3,
    .cta-wrapper h3,
    .directions-wrapper h3,
    .curriculum-wrapper .curriculum-content-wrapper h4,
    .directions-wrapper .directions-content-wrapper h4 {
        font-size: var(--font-title2-size);
        font-weight: var(--font-title2-weight);
        line-height: var(--font-title2-line-height);
        letter-spacing: var(--font-title2-letter-spacing);
    }

    .curriculum-wrapper .curriculum-content-wrapper .curriculum-item-wrapper .curriculum-item-content h4 {
        font-size: var(--font-title3-size);
        font-weight: var(--font-title3-weight);
        line-height: var(--font-title3-line-height);
        letter-spacing: var(--font-title3-letter-spacing);
    }

    .apply-btn,
    .check-btn {
        font-size: var(--font-body1-size);
        font-weight: var(--font-body1-weight);
        line-height: var(--font-body1-line-height);
        letter-spacing: var(--font-body1-letter-spacing);
    }

    .intro-message-wrapper .intro-message-content-wrapper .intro-message-text-wrapper > p {
        font-size: var(--font-subtitle2-size);
        font-weight: var(--font-subtitle2-weight);
        line-height: var(--font-subtitle2-line-height);
        letter-spacing: var(--font-subtitle2-letter-spacing);
    }

    .banner-wrapper .swiper-control .swiper-pagination,
    .curriculum-wrapper .curriculum-content-wrapper .curriculum-item-wrapper .curriculum-item-content p,
    .curriculum-overview-wrapper .curriculum-overview-content-wrapper th,
    .curriculum-overview-wrapper .curriculum-overview-content-wrapper td,
    .directions-wrapper .directions-content-wrapper .directions-info dt,
    .directions-wrapper .directions-content-wrapper .directions-info dd {
        font-size: var(--font-subtitle3-size);
        font-weight: var(--font-subtitle3-weight);
        line-height: var(--font-subtitle3-line-height);
        letter-spacing: var(--font-subtitle3-letter-spacing);
    }
    
    /* --------------- Common --------------- */
    .grid-container > div:not(:last-child) {
        margin-bottom: 160px;
    }

    .apply-btn,
    .check-btn {
        gap: 12px;
    }

    /* --------------- Banner --------------- */
    .banner-wrapper {
        height: 600px;
    }

    .banner-wrapper .banner-content-wrapper {
        gap: 32px;
    }

    .banner-wrapper .banner-content-wrapper img {
        width: 250px;
    }

    .banner-wrapper .banner-content-wrapper .banner-btn-wrapper {
        gap: 16px;
    }

    .apply-btn,
    .check-btn {
        width: 10.5em;
        height: 3.5em;
    }
 
    /* ---- Banner > swiper ---- */
    .banner-wrapper .swiper-control {
        position: absolute;
        bottom: 40px;
        left: 73.5%;
        display: flex;
        align-items: center;
        background-color: #22222280;
        padding: 4px 0;
        border-radius: 8px;
    }

    .banner-wrapper .swiper-control .swiper-pagination,
    .banner-wrapper .swiper-control .swiper-button-prev,
    .banner-wrapper .swiper-control .swiper-button-next {
        position: static;
        transform: none;
        margin: 0;
        background-color: transparent;
    }

    .banner-wrapper .swiper-control .swiper-pagination {
        /* min-width: 70px; */
    }

    /* --------------- Intro --------------- */
    .intro-message-wrapper {
        gap: 40px;
    }

    .intro-message-wrapper > img {
        width: 400px;
        /* aspect-ratio: 4 / 3; */
    }

    /* --------------- Curriculum --------------- */
    .curriculum-content-wrapper {
        gap: 60px;
    }

    .curriculum-day {
        gap: 24px;
    }

    .curriculum-timeline::before {
        width: 16px;
        height: 16px;
    }

    .curriculum-day:not(:last-child) .curriculum-timeline::after {
        left: 6px;
        width: 3px;
        height: calc(100% + 60px);
    }

    .curriculum-day-content > .curriculum-item-wrapper {
        grid-template-columns: repeat(3, 1fr); /* PC: 3열 */
        gap: 24px;
    }
    
    .curriculum-item {
        aspect-ratio: 14 / 16.5; /* width:height = 14:16.5 */
    }

    .curriculum-day-content .curriculum-title {
        margin-bottom: 16px;
    }

    /* --------------- Overview --------------- */


    /* --------------- Cta --------------- */
    .cta-wrapper {
        padding: 40px 48px;
    }
    
    /* --------------- Directions --------------- */
    .directions-content-wrapper .directions-info-wrapper .directions-info .directions-info-item dt::after {
        margin-left: 0.5em;
    }
}
